# 插件安装指南

如果安装过旧版的插件，一定要先卸载旧版插件，再安装新版插件。

## 卸载旧版插件

首先打开CifLog软件，通过❲工具❳→❲插件❳菜单，打开插件管理工具。

![卸载插件步骤00](images/install_01.png)

在插件管理工具里面，打开❲已下载❳选项卡。

选择旧版的安装包，点击❲删除❳按钮，删除旧的安装包。

![卸载插件步骤01](images/uninstall_01.png)

打开❲已安装❳选项卡，找到需要卸载的插件。由于插件数量比较多，建议使用右侧的搜索工具搜索插件。

选择需要卸载的插件，勾上复选框，然后点击❲卸载❳按钮。

![卸载插件步骤02](images/uninstall_02.png)

按照提示一步步卸载，最后会提示重启CifLog平台，建议选择重启平台。

在CifLog重启后，插件卸载完成。

![卸载插件步骤03](images/uninstall_03.png)

## 安装插件

首先打开CifLog软件，通过❲工具❳→❲插件❳菜单，打开插件管理工具。

![安装插件步骤01](images/install_01.png)

打开❲已下载❳选项卡，点击❲添加插件❳按钮。

在资源管理器中选择插件的`.nbm`安装包，将安装包添加到CifLog平台。

![安装插件步骤02](images/install_02.png)

在插件管理器中选择该安装包，点击❲安装❳按钮。

在安装步骤中，其中一步需要选择❲接受所有许可条款❳，然后继续安装。

![安装插件步骤03](images/install_03.png)

在插件安装过程中，会提示插件未签名。此时需要点击❲继续❳按钮，继续安装。

![安装插件步骤04](images/install_04.png)

插件安装完成之后，要启动该插件，通过❲窗口❳→❲Log Utils❳菜单，打开生产测井解释插件的主界面。

![安装插件步骤05](images/install_05.png)

至此，插件安装完成。在准备好数据目录之后，插件就应该能够正常使用了。

## 准备数据目录

测井解释插件需要一定的支撑数据才能够正常运行。

首先，在安装包中找到数据目录。

该目录下有一个`template`文件夹，用于保存各种模板。

还有一个`设置LogUtils主目录.bat`批处理文件。

![数据目录文件夹内容](images/data_dir_struct.png)

将这个目录复制到任意位置，比如`D:\\测井解释插件数据目录`；
如果操作正确，将会存在`D:\\测井解释插件数据目录\template`文件夹,
以及`D:\\测井解释插件数据目录\设置LogUtils主目录.bat`文件。

在该目录下双击执行`设置LogUtils主目录.bat`批处理文件。
比如数据目录是`D:\\测井解释插件数据目录`的话，则执行的是
`D:\\测井解释插件数据目录\设置LogUtils主目录.bat`批处理文件。

在该批处理文件执行的过程中，可能会被杀毒软件拦截，选择允许才能正常设置。

出现`成功: 指定的值已得到保存。`字样，则说明数据目录设置成功。

![数据目录设置成功界面](images/data_dir_set.png)

该设置批处理文件只需要运行一次。如果后期数据目录移动过位置，
则需要再次执行`设置LogUtils主目录.bat`批处理文件。
